   
 (defun  c:avt_import()
   
  (setq avt_attribut_laenge 50)
  (setq avt_filename (getvar "DWGNAME"))
  (setq avt_aimkey_string ( strcat "#(AIMKEYFROMPATH " avt_filename ")"))
  (setq avt_aimkey (AIMDdderequest "AIM.COMPASS5.DDE" "SYSTEM" avt_aimkey_string ))
  (setq avt_status (AIMDdderequest "AIM.COMPASS5.DDE" avt_aimkey "#STATUSKEY"))
    
  (if (= avt_status "00001")
   (progn
    (setq avt_wspath (AIMDdderequest "AIM.COMPASS5.DDE" "SYSTEM" "$WSPATH"))
    (setq avt_filename_ohne (AIMDdderequest "AIM.COMPASS5.DDE" avt_aimkey "#FILE_NAME"))
    (setq avt_cadapplpath (aimgetsymbol "CADAPPLPATH"))
    
    (setq avt_title_file (strcat avt_cadapplpath "AVT_TITLE.ini"))
    (setq avt_title_file_dskr (open avt_title_file "r"))
    
    (setq avt_schablone_file (strcat avt_wspath "\\AVT_SCHABLONE.txt"))
    (setq avt_schablone_file_dskr (open avt_schablone_file "w"))
    
    (setq avt_attext_file (strcat avt_wspath "\\" avt_filename_ohne))
    
    (setq avt_zaehler 0)
    (setq avt_title_file_wert nil)
    (setq avt_compass_att_list (list))
    (setq avt_title_file_wert (read-line avt_title_file_dskr))

    (while avt_title_file_wert
      (setq avt_zaehler (+ avt_zaehler 1))
      (setq avt_stelle 1)
      (setq avt_ges_laenge (strlen avt_title_file_wert))
      (setq avt_einzelzeichen (substr avt_title_file_wert avt_stelle 1))
      (while (/= avt_einzelzeichen "=")
        (setq avt_stelle (+ avt_stelle 1))
        (setq avt_einzelzeichen (substr avt_title_file_wert avt_stelle 1))
      )
      (setq avt_acad_att (substr avt_title_file_wert 1 (- avt_stelle 1)))
      (setq avt_compass_att (substr avt_title_file_wert (+ avt_stelle 1) (- avt_ges_laenge avt_stelle)))
      (setq avt_compass_att_list_member (list avt_compass_att))
      (setq avt_compass_att_list (cons avt_compass_att_list_member avt_compass_att_list))
      (setq avt_att_laenge_string (rtos avt_attribut_laenge))
      (setq avt_schabl_zeile (strcat avt_acad_att " C0" avt_att_laenge_string "000"))
      (write-line avt_schabl_zeile avt_schablone_file_dskr)
      (setq avt_title_file_wert (read-line avt_title_file_dskr))
    )

    (close avt_title_file_dskr)
    (close avt_schablone_file_dskr)
    (command "-attext" "sdf" avt_schablone_file (setq avt_extpfad (strcat avt_wspath "\\" avt_filename_ohne)))  
        
    (setq avt_attext_file (strcat avt_wspath "\\" avt_filename_ohne ".txt"))
    (setq avt_attext_file_dskr (open avt_attext_file "r"))
    (setq avt_attext_werte (read-line avt_attext_file_dskr))
    (close avt_attext_file_dskr)
 
 
    (setq avt_string_pos 1)
    (setq avt_alert_string "")
    (repeat avt_zaehler
      (setq avt_compass_att (car (nth (- avt_zaehler 1) avt_compass_att_list)))
      (setq avt_compass_att_bez (strcat "#" avt_compass_att))
      (setq avt_compass_wert (AIMDdderequest "AIM.COMPASS5.DDE" avt_aimkey avt_compass_att_bez))
      (setq avt_att_wert (substr avt_attext_werte avt_string_pos avt_attribut_laenge))
      (setq avt_att_wert_pos avt_attribut_laenge)
      (setq avt_att_wert_zeichen (substr avt_att_wert avt_att_wert_pos 1))
      (while (= avt_att_wert_zeichen " ")
        (setq avt_att_wert_pos (- avt_att_wert_pos 1))
        (setq avt_att_wert_zeichen (substr avt_att_wert avt_att_wert_pos 1))
      )
      (setq avt_att_wert_formatiert (substr avt_att_wert 1 avt_att_wert_pos))
      (setq avt_att_wert_neu (strcat avt_att_wert_formatiert " " avt_compass_wert))
      (setq avt_att_setzt_string (strcat "___ChangeField " avt_compass_att "=" avt_att_wert_neu))
      (aimdDDEEXEC "AIM.COMPASS5.DDE" avt_aimkey avt_att_setzt_string)
      (aimdDDEEXEC "AIM.COMPASS5.DDE" avt_aimkey "___DBUtils sync current")
           
      
      (setq avt_alert_string (strcat avt_alert_string "Originalwert von " avt_compass_att " :\n" avt_compass_wert "\n"))
      (setq avt_alert_string (strcat avt_alert_string "Ersetzt durch :\n " avt_att_wert_neu " :\n\n"))
      
      (setq avt_string_pos (+ avt_string_pos avt_attribut_laenge))
      (setq avt_zaehler (- avt_zaehler 1))
    ) 
    (command "del" avt_schablone_file)
    (command "del" avt_attext_file)
    (alert avt_alert_string)
   )
   (alert "Kein Abgleich, weil die Zeichnung nicht den Status 'In Arbeit' hat")
  )
 
 
 )
